// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

var rows, sWhat, firstSearch = true;

catchLoad(function() {
	rows = id("humans").rows;
	
	// Get the teacher name of each row
	iterti(rows, function(i, row) {
		row.humanLink = row.firstChild.lastChild.firstChild;
		row.humanName = getxt(row.humanLink);
	});
	
	sWhat = document.forms.humansSearch.sTeacherWhat;
	sWhat.onkeydown = function() {
		if (firstSearch) {
			firstSearch = false;
			sWhat.value = sWhat.className = "";
		}
	};
	sWhat.onkeyup = doSearch;
	sWhat.focus();
});


function doSearch() {
	var ac = new AutoCompletion(sWhat.value);
	itert(rows, function(row) {
		var display = ac.match(row.humanName);
		if (display)
			row.humanLink.innerHTML = ac.highlight(row.humanName);
		setDisplay(row, display);
	});
	delete ac;
}
